import request from '@/utils/request'

// 订单表列表
export function apiStoreOrderLists(params: any) {
    return request.get({ url: '/store_order/storeorder/lists', params })
}

// 添加订单表
export function apiStoreOrderAdd(params: any) {
    return request.post({ url: '/store_order/storeorder/add', params })
}

// 编辑订单表
export function apiStoreOrderEdit(params: any) {
    return request.post({ url: '/store_order/storeorder/edit', params })
}

// 删除订单表
export function apiStoreOrderDelete(params: any) {
    return request.post({ url: '/store_order/storeorder/delete', params })
}

// 订单表详情
export function apiStoreOrderDetail(params: any) {
    return request.get({ url: '/store_order/storeorder/detail', params })
}

// 订单商品详情
export function apiStoreOrderCartInfo(params: any) {
    return request.get({ url: '/store_order_cart_info/StoreOrderCartInfo/lists', params })
}
// 订单商品详情
export function apiStoreOrderCartInfoTwo(params: any) {
    return request.get({ url: '/store_order_cart_info/StoreOrderCartInfo/listsTwo', params })
}

export function apiStoreOrderTitle() {
    return request.get({ url: '/store_order/storeOrder/title' })
}

// 退款订单列表
export function apiStoreRefundOrderLists(params: any) {
    return request.get({ url: '/store_order/StoreOrder/refund_order', params })
}

// 退款订单详情
export function apiStoreRefundOrderDetail(params: any) {
    return request.get({ url: '/store_order/storeRefundOrder/detail', params })
}

// 订单退款
export function apiStoreOrderRefund(params: any) {
    return request.post({ url: '/store_order/storeOrder/refund', params })
}

// 设置配送员
export function apiStoreOrderSetDelivery(params: any) {
    return request.post({ url: '/store_order/storeorder/set_delivery', params })
}
// 导出配送表格
export function apiStoreOrderExport(params: any) {
    return request.post({ url: '/store_order/storeorder/export', params })
}
// 导出标签
export function apiStoreOrderExportTags(params: any) {
    return request.post({ url: '/store_order/storeorder/export_tags', params })
}
// 导出配送表格2
export function apiStoreOrderInfoExport(params: any) {
    return request.post({ url: '/store_order_cart_info/storeordercartinfo/export', params })
}
// 生成出库表单
export function createOutboundOrder(params: any) {
    return request.post({ url: '/store_order/storeorder/createOutboundOrder', params })
}

// 编辑订单商品
export function apiStoreOrderCartInfoEdit(params: any) {
    return request.post({ url: '/store_order_cart_info/StoreOrderCartInfo/edit', params })
}
// 添加订单商品
export function apiStoreOrderCartInfoAdd(params: any) {
    return request.post({ url: '/store_order_cart_info/StoreOrderCartInfo/add', params })
}
// 删除订单商品
export function apiStoreOrderCartInfoDel(params: any) {
    return request.post({ url: '/store_order_cart_info/StoreOrderCartInfo/del', params })
}
